#include <glcd.h>
#include "mari_run_right.h"
#include "mari_run_left.h"

prog_uint8_t frame=0;
int pos = 0;
int vel = 2;
boolean facingRight = true;

void setup() {
  GLCD.Init(INVERTED);
  GLCD.ClearScreen();
  Serial.begin(9600);
}

void loop() {
  GLCD.ClearScreen();
  if (facingRight) {
    GLCD.DrawBitmap(mari_run_right[frame],pos,0);
    pos += vel;
  } else {
    GLCD.DrawBitmap(mari_run_left[frame],pos,0);
    pos -= vel;
  }
    
  if (pos<=0)
    facingRight = true;
  
  if (pos>=72)
    facingRight = false;
    
  frame++;
  frame %= mari_run_right_length;
 
  delay(100);
}
